<?php

namespace Ignite\Core\Contracts;

// TODO: Rename to Grid
interface Table
{
    /**
     * The columns to show.
     *
     * @return array
     */
    public function columns();

    /**
     * The table query.
     *
     * @return \Illuminate\Database\Eloquent\Builder|\Illuminate\Database\Query\Builder|\Illuminate\Support\Collection
     */
    public function query();
}
